"use client"

import Link from "next/link"
import { iTrendProps } from "../types"

export const Trend = ({ ranking = 1, title, gweets = 1 }: iTrendProps) => {
    return (
        <Link
            href={`/search?query=${title.toLowerCase()}`}
            className="flex flex-col justify-between hover:bg-accent active:bg-accent rounded-lg p-1">

            <div className="text-xs text-muted-foreground">
                {ranking} · Trending
            </div>
            <div>#{title}</div>
            <div className="text-xs text-muted-foreground">
                {gweets} {gweets === 1 ? "gweet" : "gweets"}
            </div>
        </Link>
    )
}